Page MenuHomePhabricator

ULS is using deprecated 'mediawiki.api.options' in code
Closed, ResolvedPublic

Description

While debuging some stuff I've found at my console that ULS is spamming the console with

mw.log.warn("This page is using the deprecated ResourceLoader module \"mediawiki.api.options\".\nUse \"mediawiki.api\" instead.");

We should use mediawiki.api instead.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2018, 10:20 PM

Change 447339 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/UniversalLanguageSelector@master] Stop using deprecated mediawiki.api.options

https://gerrit.wikimedia.org/r/447339

Change 447339 abandoned by MarcoAurelio:
Stop using deprecated mediawiki.api.options

Reason:
Change-Id: I27dd62fae7a470549dd533f16c145cb023b16181

https://gerrit.wikimedia.org/r/447339

Change 434739 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/UniversalLanguageSelector@master] Remove dependencies on deprecated modules 'mediawiki.api.*'

https://gerrit.wikimedia.org/r/434739

Change 434739 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Remove dependencies on deprecated modules 'mediawiki.api.*'

https://gerrit.wikimedia.org/r/434739

Krinkle closed this task as Resolved.Jan 18 2019, 6:33 AM
Krinkle claimed this task.